Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006182TestLinkTest Execute - Filterspublic2014-01-31 08:062016-06-17 15:03
Reporterkmielke 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformLinuxOSCentOSOS Version6
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version 
Summary0006182: testcases_colouring_by_selected_build has no effect
Description// ENABLED -> test cases will be coloured according to execution status on build selected for execution
// DISABLED -> test cases will be coloured according status on latest execution regardless of selected build
// see http://mantis.testlink.org/view.php?id=3450 [^] for more details
$tlCfg->exec_cfg->testcases_colouring_by_selected_build = DISABLED;

i am not able to see the very last execution result in the tree.
Steps To Reproducehttp://mantis.testlink.org/view.php?id=3450 [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browserany
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files? file icon execTreeMenu.inc.php [^] (29,320 bytes) 2015-11-26 12:17
? file icon testplan.class.php [^] (284,243 bytes) 2015-11-26 12:17

- Relationships

-  Notes
(0020374)
kmielke (reporter)
2014-01-31 08:07

we want to switch to tl 1.9.9. but this bug is blocking the switch.
(0020382)
kmielke (reporter)
2014-02-03 06:59

lib/functions/execTreeMenu.inc.php

in the function testPlanTree() there is the following call

list($filters, $options, $show_testsuite_contents, $useCounters, $useColors, $colorBySelectedBuild) = initExecTree($objFilters, $objOptions);

but then $colorBySelectedBuild is never used...

is there a workaround???
(0020915)
MachinaDeus (reporter)
2014-04-28 17:55

This is also being a huge hindrance to our test team. They need to be able to see if a test was previously failed in a prior build without having to jump through all the builds or clicking on individual testcases to see past executions.

I've been trying to track down what happened outside of fman removing the generateExecTree() function(that contained $colorBySelectedBuild code) from lib/functions/treeMenu.inc.php and the new file lib/functions/execTreeMenu.inc.php that now referances $colorBySelectedBuild between version 1.9.3 and 1.9.4

kmielke - What version are you guys currently using where it works or did you figure out a workaround? Thanks!
(0020922)
kmielke (reporter)
2014-04-29 05:47

we are using 1.9.3 right know. i updated a test system to 1.9.9 but we will not switch until this issue is fixed. i tried to understand the code but there are to much changes since 1.9.3. i don't have the time to go deeper into this...
(0022687)
kmielke (reporter)
2015-02-12 08:17

Just updated to 1.9.13 but $tlCfg->exec_cfg->testcases_colouring_by_selected_build still has no effect.
(0022690)
fman (administrator)
2015-02-12 10:35

no ETA
(0022691)
kmielke (reporter)
2015-02-12 10:37

what does ETA mean?
(0022695)
fman (administrator)
2015-02-12 10:39

that there is not Estimated Time of Arrival (ETA)
(0022696)
kmielke (reporter)
2015-02-12 10:42

any useful hints to fix it by myself?
(0024192)
vincent.morin (reporter)
2015-11-03 14:37

May I enforce the need?
TL 1.9.14 keep the issue.
We would like to update our old TL and users have got the habit with the fact to have the latest status of execution in their execution TC tree - having figures and colors for the last execution status all builds.
Is their any means to have a fix or a workaround?
How could we help?
Thanks a lot for your work.
(0024194)
fman (administrator)
2015-11-03 15:31

>> Is their any means to have a fix or a workaround?
no you need to dig the code and try to fix for yourself (unfortunately)
(0024199)
vincent.morin (reporter)
2015-11-04 10:04

Thanks a lot
(0024308)
vincent.morin (reporter)
2015-11-26 12:16

Here that I suggest.
This works with my current config (custom_config.inc.php)
$tlCfg->exec_cfg->testcases_colouring_by_selected_build = DISABLED;

source files located in testlink/lib/functions
changes from current github testlink-code 1.9 dev

Hope this help.
Please test and give feedback
(0025004)
BtTest (reporter)
2016-06-15 09:17

Same problem for us

The severity is major in the retest phase.

- Issue History
Date Modified Username Field Change
2014-01-31 08:06 kmielke New Issue
2014-01-31 08:07 kmielke Note Added: 0020374
2014-02-01 10:13 fman QA Team - Task Workflow Status => TBD
2014-02-01 10:13 fman Priority immediate => normal
2014-02-01 10:13 fman Severity block => minor
2014-02-03 06:59 kmielke Note Added: 0020382
2014-04-28 17:55 MachinaDeus Note Added: 0020915
2014-04-29 05:47 kmielke Note Added: 0020922
2015-02-12 08:17 kmielke Note Added: 0022687
2015-02-12 10:35 fman Note Added: 0022690
2015-02-12 10:37 kmielke Note Added: 0022691
2015-02-12 10:39 fman Note Added: 0022695
2015-02-12 10:42 kmielke Note Added: 0022696
2015-11-03 14:37 vincent.morin Note Added: 0024192
2015-11-03 15:31 fman Note Added: 0024194
2015-11-04 10:04 vincent.morin Note Added: 0024199
2015-11-26 12:16 vincent.morin Note Added: 0024308
2015-11-26 12:17 vincent.morin File Added: execTreeMenu.inc.php
2015-11-26 12:17 vincent.morin File Added: testplan.class.php
2016-06-15 09:17 BtTest Note Added: 0025004
2016-06-17 15:03 fman Status new => closed
2016-06-17 15:03 fman Assigned To => fman
2016-06-17 15:03 fman Resolution open => won't fix



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker